#include "LPC23xx.h" 

void delay(unsigned long i);
 
unsigned short ADC_Read(void)
{
 unsigned int i;
 SCS=SCS | 1;
 //-----------------------------
 PINSEL1 = 0x00004000; /* AD0.0 pin function select */
 PCONP |= (1 << 12); /* Enable power to AD block */
 AD0CR = 0x00200301; /*Power up, PCLK/4,sel AD0.0 */
 AD0CR &= 0XFFFFFF00;
 AD0CR |= 1; 
 //-----------------------------
 AD0CR |= 0x01000000; // Start A/D Conversion
 do
  i = AD0DR0; // Read A/D Data Register
 while ((i & 0x80000000) == 0); // Wait for end of A/D Conversion
 return (i >> 6) & 0x03FF; // bit 6:15 is 10 bit AD value
}


main (void) {
   unsigned short current_value;
   PINSEL6=0x00; // Set For GPIO  
   SCS=SCS | 1;

   FIO3MASK = 0x00000000;  // If=0 All = Fast Mode
   FIO3DIR  = 0xFFFFFFFF;                
   FIO3CLR  = 0xFFFFFFFF;

   FIO1DIR  = 0xFFFFFFFF;
   FIO1CLR  = 0xFFFFFFFF;

   FIO2DIR  = 0x00000000;

   while(1){
       FIO3CLR  = 0xFFFFFFFF;
	   delay(1000000);
       current_value = ADC_Read();
//	   current_value = 300;

	   if (	(0 <= current_value) && (current_value < 125 ))	{
		  FIO3SET = 0x00000001;
		  delay(1000000); }
	   if (	(126 < current_value) && (current_value < 250 )) {
		  FIO3SET = 0x00000002;  
		  delay(1000000); }
 	   if (	(251 < current_value) && (current_value < 375 )){
		  FIO3SET = 0x00000004;
		  delay(1000000);} 
 	   if (	(376 < current_value) && (current_value < 500 )){
		  FIO3SET = 0x00000008;  
		  delay(1000000); }		    
 	   if (	(501 < current_value) && (current_value < 625 )){
		  FIO3SET = 0x00000010;  
		  delay(1000000);  }
 	   if (	(626 < current_value) && (current_value < 750 )) {
		  FIO3SET = 0x00000020; 
		  delay(1000000);  }
 	   if (	(751 < current_value) && (current_value < 875 )) {
		  FIO3SET = 0x00000040; 
		  delay(1000000);}  
 	   if (	(876 < current_value) && (current_value < 1000 )) {
		  FIO3SET = 0x00000080; 
		  delay(1000000);}
    }


}

void delay(unsigned long i){
unsigned long j;
for (j=0;j<i;j++);
}



